#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Content: wato plugin for snmp check "cisco_asa_fan"
#          to configure waring/critical levels
#
#
register_check_parameters(
    subgroup_environment,
    "cisco_asa_fan",
    _("Cisco ASA fan sensor"),
    Tuple(
        title=_("Cisco ASA fan sensor thresholds"),
        elements=[
            Integer(title=_("warning at"), unit=_("rpm"), default_value=7000),
            Integer(title=_("critical at"), unit=_("rpm"), default_value=8000),
            Integer(title=_("minimum"), unit=_("rpm"), default_value=1000),
        ]
    ),
    TextAscii(
        title=_("Check description"),
        help=_("begin of check description without 'Environment:'")
    ),
    None
)
